Name:          pear-HTML_Common
Version:       1.2.5
Release:       1mamba
Summary:       Provides a pear class for generating HTML form select elements.
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pear.php.net/
Source:        http://download.pear.php.net/package/HTML_Common-%{version}.tgz
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      php >= 4.3.3

%description
The PEAR::HTML_Common package provides methods for html code display and 
attributes handling.
* Methods to set, remove, update html attributes.
* Handles comments in HTML code.
* Handles layout, tabs, line endings for nicer HTML code.

%prep
[ "%{buildroot}" != "/" ] && rm -rf "%{buildroot}"

%build

%install
mkdir -p %{buildroot}%{_libdir}/php
pushd %{buildroot}%{_libdir}/php
tar xzvf %{SOURCE0}
mv HTML_Common-%{version} HTML
rm package.xml
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/php/HTML
%{_libdir}/php/HTML/Common.php

%changelog
* Mon May 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.5-1mamba
- update to 1.2.5

* Thu Sep 05 2013 Automatic Build System <autodist@mambasoft.it> 1.2.4-2mamba
- automatic rebuild by autodist

* Sat Jun 09 2007 Tiziana Ferro <tiziana.ferro@email.it> 1.2.4-1mamba
- update to 1.2.4

* Thu Sep 11 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1qilnx
- first build
